#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.ComponentModel;

#endregion

namespace Web.YUI
{
    [TypeConverter(typeof(ExpandableObjectConverter))]
    public class Animation : StateManagedItem
    {
        #region Constructors

        public Animation() : base()
        {
        }

        public Animation(AnimationType type, double duration) : this()
        {
            Type = type;
            Duration = duration;
        }

        #endregion

        #region Properties

        public double Duration
        {
            get
            {
                object o = ViewState["Duration"];
                return o == null ? .25 : (double)o;
            }
            set
            {
                ViewState["Duration"] = value;
            }
        }

        public AnimationType Type
        {
            get
            {
                object o = ViewState["Type"];
                return o == null ? AnimationType.None : (AnimationType)o;
            }
            set
            {
                ViewState["Type"] = value;
            }
        }

        #endregion
    }
}