#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

#endregion

namespace Web.YUI
{
    /// <summary>
    /// The Logger Control provides a simple way to read or write log messages with a single line of code. With this control, you can tap into the rich event-driven messages included with the YUI Library's debug files; This messaging allows you to get a fuller picture of the inner workings of any YUI Library component. The Logger Control provides a simple messaging interface that allows you to filter, pause, resume, and clear log messages on your screen. Whether or not you invoke this UI, you can monitor log output via the FireBug extension for Firefox or via the Safari JavaScript console. The Logger Control supports logging messages with customizable categories and sources. Adventurous developers can extend Logger to build their own implementations to suit any requirement.
    /// </summary>
    public class Logger : YahooControl
    {
        #region IYahooControl Members

        public override string LoadScript
        {
            get { return String.Format("{0} = new YAHOO.widget.LogReader();", ID); }
        }

        public override YahooScript[] ScriptDependencies
        {
            get { return new YahooScript[] { YahooScript.Yahoo_Dom_Event, YahooScript.DragDrop, YahooScript.Logger }; }
        }

        public override YahooStyleSheet[] StyleDependencies
        {
            get { return new YahooStyleSheet[] { YahooStyleSheet.Logger }; }
        }

        #endregion

        #region Methods

        protected override void Render(HtmlTextWriter writer)
        {
        }

        #endregion
    }
}