using System;
using System.Collections.Generic;
using System.Text;

namespace Web.YUI
{
    public static class MenuBuilderFactory
    {
        public static MenuBaseBuilder GetMenuBuilder(MenuType menuType)
        {
            MenuBaseBuilder result = null;
            switch(menuType)
            {
                case MenuType.LeftNavigation:
                    result = new MenuLeftNavigationBuilder();
                    break;
                case MenuType.TopNavigation:
                    result = new MenuTopNavigationBuilder();
                    break;
                default:
                    throw new NotSupportedException("Provided MenuType is not supported");
            }
            return result;
        }
    }
}
