#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.ComponentModel;

#endregion

namespace Web.YUI
{
    [ParseChildren(true, "ChildItems")]
    public class MenuItem : StateManagedItem
    {
        #region Fields

        private MenuItemCollection childItems = null;

        #endregion

        #region Properties

        [Browsable(false), PersistenceMode(PersistenceMode.InnerDefaultProperty), MergableProperty(false)]
        public MenuItemCollection ChildItems
        {
            get
            {
                if (childItems == null)
                {
                    childItems = new MenuItemCollection(this);
                }
                return childItems;
            }
        }

        public string Text
        {
            get
            {
                object o = ViewState["Text"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["Text"] = value; }
        }

        public string NavigateUrl
        {
            get
            {
                object o = ViewState["NavigateUrl"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["NavigateUrl"] = value; }
        }

        public bool Enabled
        {
            get
            {
                object o = ViewState["Enabled"];
                return o == null ? true : (bool)o;
            }
            set { ViewState["Enabled"] = value; }
        }

        public string ToolTip
        {
            get
            {
                object o = ViewState["ToolTip"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["ToolTip"] = value; }
        }

        #endregion
    }
}