#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

#endregion

namespace Web.YUI
{
    [ParseChildren(true), PersistChildren(false)]
    public class TabViewItem : StateManagedCompositeControl
    {
        #region Fields

        private ITemplate bodyTemplate = null;
        private WebControl bodyControl;

        #endregion

        #region Properties

        public string Label
        {
            get
            {
                object o = ViewState["Label"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["Label"] = value; }
        }

        [TemplateInstance(TemplateInstance.Single), MergableProperty(false), PersistenceMode(PersistenceMode.InnerProperty), Browsable(false)]
        public ITemplate BodyTemplate
        {
            get { return this.bodyTemplate; }
            set { this.bodyTemplate = value; }
        }

        public WebControl BodyControl
        {
            get { EnsureChildControls(); return bodyControl; }
        }

        #endregion

        #region Methods

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            EnsureChildControls();

            if (bodyTemplate != null)
                this.bodyTemplate.InstantiateIn(bodyControl);
        }

        protected override void CreateChildControls()
        {
            base.CreateChildControls();

            bodyControl = new System.Web.UI.WebControls.WebControl(HtmlTextWriterTag.Div);
            this.Controls.Add(bodyControl);
        }

        protected override void Render(HtmlTextWriter writer)
        {
            bodyControl.RenderControl(writer);
        }

        #endregion
    }
}