#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.Web;

#endregion

namespace Web
{
    public class ScriptBlock : StyleBlock
    {
        public ScriptBlock()
        {
            BlockTag = "script";
            Type = "text/javascript";
        }

        protected override void OnPreRender(EventArgs e)
        {
            if (Visible)
            {
                if (!String.IsNullOrEmpty(IncludePath))
                {
                    Uri uri = new Uri(IncludePath, UriKind.RelativeOrAbsolute);
                    if (uri.IsAbsoluteUri)
                    {
                        Page.Header.Controls.Add(new LiteralControl(String.Format("\n<script src=\"{0}\" type=\"{1}\"></script>\n", IncludePath, Type)));
                    }
                    else
                    {
                        Page.Header.Controls.Add(new LiteralControl(String.Format("\n<script src=\"{0}\" type=\"{1}\"></script>\n", VirtualPathUtility.ToAbsolute(IncludePath), Type)));
                    }
                }
                else
                {
                    RenderBlockContents();
                }
            }
        }
    }
}