#region Using Directives

using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.Web.UI;

#endregion

namespace Web
{
    public class StateManagedCompositeControl : CompositeControl, IStateManagedItem
    {
        #region Fields

        private bool trackingViewState = false;

        #endregion

        #region IStateManagedItem Members

        public void SetDirty()
        {
            ViewState.SetDirty(true);
        }

        #endregion

        #region IStateManager Members

        public bool IsTrackingViewState
        {
            get { return trackingViewState; }
        }

        public void LoadViewState(object state)
        {
            ((IStateManager)this.ViewState).LoadViewState(state);
        }

        public object SaveViewState()
        {
            return ((IStateManager)this.ViewState).SaveViewState();
        }

        public void TrackViewState()
        {
            this.trackingViewState = true;
            ((IStateManager)this.ViewState).TrackViewState();
        }

        #endregion

        #region IStateManager Members

        bool IStateManager.IsTrackingViewState
        {
            get { return this.IsTrackingViewState; }
        }

        void IStateManager.LoadViewState(object state)
        {
            this.LoadViewState(state);
        }

        object IStateManager.SaveViewState()
        {
            return this.SaveViewState();
        }

        void IStateManager.TrackViewState()
        {
            this.TrackViewState();
        }

        #endregion
    }
}